Bug 995716 - AssertionError: View function mapping is overwriting an existing endpoint function:
AssertionError: View function mapping is overwriting an existing endpoint fun...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-flask (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 08:39 EDT by Paulo Andrade
Modified: 2014-02-14 23:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-14 23:56:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-08-10 08:39:02 EDT
This makes the sagemath package notebook unusable, due
to python-flask-index being broken by this problem.

I reported the python-flask-index issue at
https://github.com/sublee/flask-autoindex/issues/12

and the python-flask issue is being discussed at
https://github.com/mitsuhiko/flask/issues/796
and at https://github.com/mitsuhiko/flask/issues/794

The patch in comment
https://github.com/mitsuhiko/flask/issues/794#issuecomment-21131348
corrects the problem for me. Direct link:
https://github.com/mitsuhiko/flask/commit/44e39ab0
Comment 1 Fedora End Of Life 2013-09-16 12:29:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Ricky Elrod 2014-02-14 23:56:16 EST
I believe this is fixed in 0.10.1. Feel free to re-open if it's still an issue and I can take a closer look. :)

Note You need to log in before you can comment on or make changes to this bug.